Skip to main content
Sitecore Documentation
  • Learn
  • Downloads
  • Changelog
  • Roadmap
SendCloud Portal
Sitecore Send API documentation
  • Introduction to the Sitecore Send API
        • Get all subscribers
        • Get subscriber by email address
        • Get subscriber by ID
        • Get subscriber by ID without mailing list ID
        • Add a new subscriber
        • Add multiple subscribers
        • Update a subscriber
        • Unsubscribe a subscriber from an account
        • Unsubscribe a subscriber from a mailing list
        • Unsubscribe a subscriber from a mailing list and a campaign
        • Remove a subscriber
        • Remove multiple subscribers
        • Delete a subscriber
        • Delete multiple subscribers from a specific mailing list
        • Delete a subscriber from an account
  1. Subscribers
  1. API reference
  2. Subscribers
  3. Update a subscriber

Update a subscriber

POST /subscribers/{MailingListID}/update/{SubscriberID}.{Format}

Updates the details of a subscriber in a specific email list in your Sitecore Send account.

Request

ParameterInTypeRequiredDescription
AcceptheaderstringtrueDetermines the expected format and data type to retrieve the response data.Value: application/json
MailingListIDpathstringtrueThe ID of the email list that contains the subscriber.
SubscriberIDpathstringtrueThe ID of the subscriber that you want to update.
FormatpathstringtrueThe supported file format for getting a response.Possible values: json and xml.
apikeyquerystringtrueThe API key of your account
NamebodystringfalseThe name of the subscriber.
EmailbodystringtrueThe email address of the subscriber.
HasExternalDoubleOptInbodyBooleanfalseWhen true, it flags the added subscriber as having given subscription consent by other means.
CustomFieldsbodyarrayfalseA list of name-value pairs that match the subscriber’s custom fields defined in the email list.For example, if you have two custom fields for Age and Country, you must specify the values for these two fields.
TagsbodyobjectfalseThe member tag you can use to filter members by when working with an email list.
PreferencesbodyobjectfalseThe member preferences you can user to segment or filter members by, when working with an email list.
http
POST https://{hostname}/v3/subscribers/{MailingListID}/update/{SubscriberID}.{Format}?apikey=

Request body:
{
    "Name": "Some NamePaul",
    "Email": "[email protected]",
    "HasExternalDoubleOptIn": false,
    "CustomFields": \[
        "Age=25",
        "Country=USA"
    \],
    "Tags": \[
        "repeater"
    \],
    "Preferences": \[
      "option a",
      "option b",
      "option c"
    \]
}
curl
curl --include \\
     --request POST \\
     --header "Content-Type: application/json" \\
     --header "Accept: application/json" \\
     --data-raw '{
    "Name": "Some NamePaul",
    "Email": "[email protected]",
    "HasExternalDoubleOptIn": false,
    "CustomFields": \[
        "Age=25",
        "Country=USA"
    \],
    "Tags": \[
        "repeater"
    \],
    "Preferences": \[
        "option a",
        "option b",
        "option c"
    \]
}' \\
'https://{hostname}/v3/subscribers/{MailingListID}/update/{SubscriberID}.{Format}?apikey='

Response

StatusDescriptionHeadersSchema
200 OKThe request is successful.Content-Type
/json
N/A
json
{
  "Code": 0,
  "Error": null,
  "Context": {
    "ID": "d75fca65-a2bc-4474-bd4d-307f9cf63a57",
    "Name": "Some name",
    "Email": "[email protected]",
    "CreatedOn": "/Date(1465380655880+0100)/",
    "UpdatedOn": "/Date(1465388373874)/",
    "UnsubscribedOn": null,
    "UnsubscribedFromID": null,
    "SubscribeType": 1,
    "SubscribeMethod": 2,
    "CustomFields": \[
      {
        "CustomFieldID": "b9a6cb39-ec8f-4e5e-a41a-b64b9b3fc190",
        "Name": "Age",
        "Value": 25
      },
      {
        "CustomFieldID": "1c4ff8dc-48e3-4af1-ae4f-2b1b81a44d17",
        "Name": "Country",
        "Value": "USA"
      }
    \],
    "RemovedOn": null,
    "Tags": \[
       "potential",
       "repeater"
    \]  
  }
}
  • Code - the response code. This is 0 if successful.

  • Error - the response error message. This is null if successful.

  • Context - an object that contains all the following information for the updated subscriber:

    • ID - the ID of the subscriber.

    • Name - the name of the subscriber.

    • Email - the email address of the subscriber.

    • CreatedOn - the date-time the subscriber was added to the email list.

    • UnsubscribedOn - the date-time the subscriber was unsubscribed from the email list. This is null if not unsubscribed from the list.

    • UnsubscribedFromID - the ID that the subscriber is unsubscribed from.

    • SubscribeType - the status of the subscriber. For subscribed, this is 1, for unsubscribed, this is 2, for bounced, this is 3 , and for removed, this is 4.

    • SubscribeMethod - the method used to subscribe the member to the email list. For subscription forms, this is 0, for file imports, this is 1, for manually added, this is 2.

    • CustomFields - a list containing the custom fields of the new subscriber. Each custom field contains the following:

      • CustomFieldID - the ID of the custom field.

      • Name - the name of the custom field.

      • Value - the value of the custom field.

    • RemovedOn - the date-time the subscriber was removed from the email list.

    • Tags - a list containing the tags of the new subscriber.

If you have suggestions for improving this article, let us know!

Documentation Assistant

This assistant uses AI to generate responses based on Sitecore documentation. While it has access to official sources, answers may be incomplete or inaccurate and should not be considered official advice or support.
Powered by
k
kapa.ai
Protected by reCAPTCHA

© Copyright 2026, Sitecore A/S or a Sitecore affiliated company.
All rights reserved.

Privacy policySitecore Trust CenterTerms of use